Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemLiteralResult

    java.lang.Object
      org.apache.xml.utils.UnImplNode
          org.apache.xalan.templates.ElemTemplateElement
              org.apache.xalan.templates.ElemUse
                  org.apache.xalan.templates.ElemLiteralResult

All Implemented Interfaces:
  Document, Element, ExpressionNode, Node, NodeList, PrefixResolver, java.io.Serializable, SourceLocator, WhitespaceStrippingElementMatcher, XSLTVisitable

Direct Known Subclasses:
  ElemExtensionCall, ElemUnknown

public class ElemLiteralResult
extends ElemUse

Implement a Literal Result Element.

See Also:
  literal-result-element in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElemLiteralResult()`

Method Summary
`void` | `addLiteralResultAttribute(AVT avt)` Set a literal result attribute (AVTs only).
`void` | `addLiteralResultAttribute(java.lang.String att)` Set a literal result attribute (used for xsl attributes).
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`boolean` | `containsExcludeResultPrefix(java.lang.String prefix, java.lang.String uri)` Get whether or not the passed URL is flagged by the "extension-element-prefixes" or "exclude-result-prefixes" properties.
`boolean` | `containsExtensionElementURI(java.lang.String uri)` Find out if the given "extension-element-prefix" property is defined.
`java.util.Enumeration` | `enumerateLiteralResultAttributes()` Compiling templates requires that we be able to list the AVTs ADDED 9/5/2000 to support compilation experiment
`void` | `execute(TransformerImpl transformer)` Copy a Literal Result Element into the Result tree, copy the non-excluded namespace attributes, copy the attributes not of the XSLT namespace, and execute the children of the LRE.
`java.lang.String` | `getExtensionElementPrefix(int i)` Get an "extension-element-prefix" property.
`int` | `getExtensionElementPrefixCount()` Get the number of "extension-element-prefixes" Strings.
`boolean` | `getIsLiteralResultAsStylesheet()` Return whether this element represents a root element that is also the stylesheet element.
`AVT` | `getLiteralResultAttribute(java.lang.String name)` Get a literal result attribute by name.
`java.lang.String` | `getLocalName()` Get the local name of the Literal Result Element.
`java.lang.String` | `getNamespace()` Get the original namespace of the Literal Result Element.
`java.lang.String` | `getNodeName()` Return the node name.
`java.lang.String` | `getPrefix()` Get the prefix part of the raw name of the Literal Result Element.
`java.lang.String` | `getRawName()` Get the raw name of the Literal Result Element.
`java.lang.String` | `getVersion()` Get the "version" property.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `resolvePrefixTables()` Augment resolvePrefixTables, resolving the namespace aliases once the superclass has resolved the tables.
`void` | `setExcludeResultPrefixes(StringVector v)` Set the "exclude-result-prefixes" property.
`void` | `setExtensionElementPrefixes(StringVector v)` Set the "extension-element-prefixes" property.
`void` | `setIsLiteralResultAsStylesheet(boolean b)` Set whether this element represents a root element that is also the stylesheet element.
`void` | `setLocalName(java.lang.String localName)` Set the local name of the LRE.
`void` | `setNamespace(java.lang.String ns)` Set the namespace URI of the result element to be created.
`void` | `setRawName(java.lang.String rawName)` Set the raw name of the LRE.
`void` | `setVersion(java.lang.String v)` Set the "version" property.
`void` | `setXmlSpace(AVT avt)` Set the "xml:space" attribute.

Methods inherited from class org.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, endCompose, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getSpecified, getStandalone, getStrictErrorChecking, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemLiteralResult

    public ElemLiteralResult()

Method Detail

### setIsLiteralResultAsStylesheet

    public void setIsLiteralResultAsStylesheet(boolean b)

  Set whether this element represents a root element that is also the stylesheet element.

  Parameters:
    `b` - boolean flag indicating whether this element represents a root element that is also the stylesheet element.

### getIsLiteralResultAsStylesheet

    public boolean getIsLiteralResultAsStylesheet()

  Return whether this element represents a root element that is also the stylesheet element.

  Returns:
    boolean flag indicating whether this element represents a root element that is also the stylesheet element.

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    `compose` in class `ElemTemplateElement`
  Throws:
    `TransformerException`

### addLiteralResultAttribute

    public void addLiteralResultAttribute(AVT avt)

  Set a literal result attribute (AVTs only).

  Parameters:
    `avt` - literal result attribute to add (AVT only)

### addLiteralResultAttribute

    public void addLiteralResultAttribute(java.lang.String att)

  Set a literal result attribute (used for xsl attributes).

  Parameters:
    `att` - literal result attribute to add

### setXmlSpace

    public void setXmlSpace(AVT avt)

  Set the "xml:space" attribute. A text node is preserved if an ancestor element of the text node has an xml:space attribute with a value of preserve, and no closer ancestor element has xml:space with a value of default.

  See Also:
    strip in XSLT Specification, section-Creating-Text in XSLT Specification

### getLiteralResultAttribute

    public AVT getLiteralResultAttribute(java.lang.String name)

  Get a literal result attribute by name.

  Parameters:
    `name` - Name of literal result attribute to get
  Returns:
    literal result attribute (AVT)

### containsExcludeResultPrefix

    public boolean containsExcludeResultPrefix(java.lang.String prefix,
                                               java.lang.String uri)

  Get whether or not the passed URL is flagged by the "extension-element-prefixes" or "exclude-result-prefixes" properties.

  Overrides:
    `containsExcludeResultPrefix` in class `ElemTemplateElement`
  Parameters:
    `prefix` - non-null reference to prefix that might be excluded.(not currently used)
    `uri` - reference to namespace that prefix maps to
  Returns:
    true if the prefix should normally be excluded.
  See Also:
    extension-element in XSLT Specification

### resolvePrefixTables

    public void resolvePrefixTables()
                             throws TransformerException

  Augment resolvePrefixTables, resolving the namespace aliases once the superclass has resolved the tables.

  Overrides:
    `resolvePrefixTables` in class `ElemTemplateElement`
  Throws:
    `TransformerException`

### setNamespace

    public void setNamespace(java.lang.String ns)

  Set the namespace URI of the result element to be created. Note that after resolvePrefixTables has been called, this will return the aliased result namespace, not the original stylesheet namespace.

  Parameters:
    `ns` - The Namespace URI, or the empty string if the element has no Namespace URI.

### getNamespace

    public java.lang.String getNamespace()

  Get the original namespace of the Literal Result Element. %REVIEW% Why isn't this overriding the getNamespaceURI method rather than introducing a new one?

  Returns:
    The Namespace URI, or the empty string if the element has no Namespace URI.

### setLocalName

    public void setLocalName(java.lang.String localName)

  Set the local name of the LRE.

  Parameters:
    `localName` - The local name (without prefix) of the result element to be created.

### getLocalName

    public java.lang.String getLocalName()

  Get the local name of the Literal Result Element. Note that after resolvePrefixTables has been called, this will return the aliased name prefix, not the original stylesheet namespace prefix.

  Specified by:
    `getLocalName` in interface `Node`
  Overrides:
    `getLocalName` in class `ElemTemplateElement`
  Returns:
    The local name (without prefix) of the result element to be created.

### setRawName

    public void setRawName(java.lang.String rawName)

  Set the raw name of the LRE.

  Parameters:
    `rawName` - The qualified name (with prefix), or the empty string if qualified names are not available.

### getRawName

    public java.lang.String getRawName()

  Get the raw name of the Literal Result Element.

  Returns:
    The qualified name (with prefix), or the empty string if qualified names are not available.

### getPrefix

    public java.lang.String getPrefix()

  Get the prefix part of the raw name of the Literal Result Element.

  Specified by:
    `getPrefix` in interface `Node`
  Overrides:
    `getPrefix` in class `UnImplNode`
  Returns:
    The prefix, or the empty string if noprefix was provided.

### setExtensionElementPrefixes

    public void setExtensionElementPrefixes(StringVector v)

  Set the "extension-element-prefixes" property.

  Parameters:
    `v` - Vector of URIs (not prefixes) to set as the "extension-element-prefixes" property
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefix

    public java.lang.String getExtensionElementPrefix(int i)
                                               throws java.lang.ArrayIndexOutOfBoundsException

  Get an "extension-element-prefix" property.

  Parameters:
    `i` - Index of URI ("extension-element-prefix" property) to get
  Returns:
    URI at given index ("extension-element-prefix" property)
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefixCount

    public int getExtensionElementPrefixCount()

  Get the number of "extension-element-prefixes" Strings.

  Returns:
    the number of "extension-element-prefixes" Strings
  See Also:
    extension-element in XSLT Specification

### containsExtensionElementURI

    public boolean containsExtensionElementURI(java.lang.String uri)

  Find out if the given "extension-element-prefix" property is defined.

  Parameters:
    `uri` - The URI to find
  Returns:
    True if the given URI is found
  See Also:
    extension-element in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Overrides:
    `getXSLToken` in class `ElemTemplateElement`
  Returns:
    The token ID for this element
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `ElemTemplateElement`
  Returns:
    The element's name

### setVersion

    public void setVersion(java.lang.String v)

  Set the "version" property.

  Overrides:
    `setVersion` in class `UnImplNode`
  Parameters:
    `v` - Version property value to set
  See Also:
    forwards in XSLT Specification

### getVersion

    public java.lang.String getVersion()

  Get the "version" property.

  Overrides:
    `getVersion` in class `UnImplNode`
  Returns:
    Version property value
  See Also:
    forwards in XSLT Specification

### setExcludeResultPrefixes

    public void setExcludeResultPrefixes(StringVector v)

  Set the "exclude-result-prefixes" property. The designation of a namespace as an excluded namespace is effective within the subtree of the stylesheet rooted at the element bearing the exclude-result-prefixes or xsl:exclude-result-prefixes attribute; a subtree rooted at an xsl:stylesheet element does not include any stylesheets imported or included by children of that xsl:stylesheet element.

  Parameters:
    `v` - vector of prefixes that are resolvable to strings.
  See Also:
    literal-result-element in XSLT Specification

### execute

    public void execute(TransformerImpl transformer)
                 throws TransformerException

  Copy a Literal Result Element into the Result tree, copy the non-excluded namespace attributes, copy the attributes not of the XSLT namespace, and execute the children of the LRE.

  Overrides:
    `execute` in class `ElemUse`
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
  Throws:
    `TransformerException`
  See Also:
    literal-result-element in XSLT Specification

### enumerateLiteralResultAttributes

    public java.util.Enumeration enumerateLiteralResultAttributes()

  Compiling templates requires that we be able to list the AVTs ADDED 9/5/2000 to support compilation experiment

  Returns:
    an Enumeration of the literal result attributes associated with this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.